AOZ Studio Beta - Bug #244

For/Next not working with negative step when defined with variables
02/21/2020 01:54 PM - David Baldwin

Status: Closed Start date: 02/21/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.5

Affected version: 0.9.5

Description

For/Next not working with negative step when defined with variables.
Example:-

#manifest:"pc"
#fullScreen:true
#fps:false
#splashScreen:false

Ink 1

For_Loop_Start=0
For_Loop_End=1
For_Loop_Step#=0.02
Count=0

Gosub Tester
Text 20,100, "Test One - Step Forward - Step Count:"+S3Str$ (Count)

For_Loop_Start=1
For_Loop_End=0
For_Loop_Step#=-0.02
Count=0

Gosub Tester
Text 20,200, "Test Two - Step Backward - Step Count:"+Str$ (Count)
End

Tester:

For F#=For_Loop_Start to For_Loop_End Step For_Loop_Step#
Inc Count

Wait Vbl

Next F#

Return

History

#1 - 02/21/2020 02:03 PM - David Baldwin
Just checked the code and some bits missing,
#manifest:"pc"

#fullScreen:true

#fps:false

#splashScreen: false

Ink 1

For_Loop_Start=0
For_Loop_End=1
For_Loop_Step#=0.02
Count=0

Gosub Tester
Text 20,100, "Test One - Step Forward - Step Count:"+Str$ (Count)

For_Loop_Start=1
For_Loop_End=0
For_Loop_Step#=-0.02
Count=0

Gosub Tester
Text 20,200, "Test Two - Step Backward - Step Count:"+Str$ (Count)
End

Tester:

For F#=For_Loop_Start to For_Loop_End Step For_Loop_Step#
Inc Count

Wait Vbl

Next F#

Return

#2 - 02/21/2020 05:58 PM - Francois Lionet

- Target version set to 0.9.5

Fixed, and added the tag #checkForNextLoops

#3 - 02/21/2020 06:12 PM - Francois Lionet

- Status changed from New to Resolved

Fixed, and added the tag #checkForNextLoops in the process...

#4 - 03/07/2020 03:09 PM - Baptiste Pillot
- Description updated

- Status changed from Resolved to Closed

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/491
e run : https://www.amos2.fr/run/tickleman/244
e result :

Test One - Step Forward - Step Count: 50
Test Two - Step Backward - Step Count: 50

Ok.
